Package org.drinkless.tdlib

# Class TdApi.StoryInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.StoryInfo

Enclosing class:
  TdApi

public static class TdApi.StoryInfo extends TdApi.Object
Contains basic information about a story.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `date`
  Point in time (Unix timestamp) when the story was published.
  `boolean`
  `isForCloseFriends`
  True, if the story is available only to close friends.
  `int`
  `storyId`
  Unique story identifier among stories of the given sender.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StoryInfo()`
  Contains basic information about a story.
  `StoryInfo(int storyId, int date, boolean isForCloseFriends)`
  Contains basic information about a story.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### storyId

    public int storyId
    Unique story identifier among stories of the given sender.

  - ### date

    public int date
    Point in time (Unix timestamp) when the story was published.

  - ### isForCloseFriends

    public boolean isForCloseFriends
    True, if the story is available only to close friends.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StoryInfo

    public StoryInfo()
    Contains basic information about a story.

  - ### StoryInfo

    public StoryInfo(int storyId, int date, boolean isForCloseFriends)
    Contains basic information about a story.
    Parameters:
      `storyId` - Unique story identifier among stories of the given sender.
      `date` - Point in time (Unix timestamp) when the story was published.
      `isForCloseFriends` - True, if the story is available only to close friends.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR